This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 121871

Summary: RFE: more than one keyboard layout, please
Product: [Fedora] Fedora Reporter: Sasha <kirillov>
Component: system-config-keyboardAssignee: Lubomir Kundrak <lkundrak>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: dimitris, triage
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-11 16:31:53 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Sasha 2004-04-28 15:26:23 EDT
It'd be great if system-config-keybaord allowed setting more than one
keyboard layout and switching between them. Yes, I know that GNOME
keyboard switcher allows it, but it'd be nice to allow setting this
system-wide. Not a high priority, of course...
Comment 1 John Thacker 2006-10-30 09:47:15 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 2 John Thacker 2007-01-12 10:47:05 EST
Feature still not present in FC6.
Comment 3 Dimitris Glezos 2007-04-04 10:26:38 EDT
ping -- any update on this?

This is an issue that should be tackled in Anaconda as well and could be tested
in firstboot. Selecting a global language on a system should give you a way to
actually write in this language, even outside X.

Besides, by creating users in firstboot one might need to write in the new
language; currently we do not provide a way for the user to know which keyboard
comb changes the layout.
Comment 4 Red Hat Bugzilla 2007-08-21 01:18:13 EDT
User pnasrat@redhat.com's account has been closed
Comment 5 Bug Zapper 2008-04-03 21:50:14 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Lubomir Kundrak 2008-04-11 16:31:53 EDT
(In reply to comment #0)

You answered yourself:

> Yes, I know that GNOME
> keyboard switcher allows it, but it'd be nice to allow setting this
> system-wide. Not a high priority, of course...

This won't be added into s-c-k unless you write a patch for it.

If you want to set this system-wide, you can modify the default GConf
configuration with gconftool-2.